chrome.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
  const urlPatterns = [
    "https://www.upwork.com/nx/search/jobs/details/*",
    "https://www.upwork.com/nx/find-work/best-matches/details/*",
    "https://www.upwork.com/nx/find-work/most-recent/details/*",
    "https://www.upwork.com/nx/find-work/saved-jobs/details/*",
    "https://www.upwork.com/jobs/*",
  ];

  if (changeInfo.url && urlPatterns.some(pattern => new URL(changeInfo.url).href.startsWith(pattern))) {
    chrome.scripting.executeScript({
      target: { tabId: tabId },
      files: ["content.js"]
    });
  }
});
